@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
    text-decoration: none;
}

body{
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #222222;
}

.wrapper{
    width: 360px;
    height: 98%;
    background: #E5E5E5;
    border-radius: 10px;
    padding: 20px 10px;
    transform: translateX(-50px);
}

.wrapper .time{
    width: 100%;
    display: flex;
    justify-content: center;
    transform: translateY(25px);
    gap: 20px;
}

.wrapper .time .time-left{
    width: 40%;
}

.wrapper .time h1{
    font-family: 'Montserrat', sans-serif;
    font-size: 4.8rem;
    letter-spacing: .3rem;
}

.pm{
    display: flex;
    transform: translateY(-10px);
}

.wrapper .time .pm span{
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 14px;
    font-weight: 600;
    transform: translateY(50px);
}

.wrapper .time .time-left p{
    font-size: 14px;
    line-height: 4vh;
}

.time .time-right{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    width: 40%;
}

.time-right-in{
    width: 160px;
    height: 9.5vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 1vh 1.2vw;
    border-radius: 20px;
    box-shadow: 3px 3px 5px 1px rgba(88, 88, 88, 0.4),
                -3px -3px 5px 1px rgba(255,255,255,.8),
                inset 2px 2px 5px 0px rgba(185, 185, 185, 0.101);
}

.time-right-in:hover{
    box-shadow: 3px 3px 5px 0px rgba(187, 0, 255, 0.4),
    -3px -3px 5px 0px rgba(255, 255, 255, 0.8),
    inset 2px 2px 5px 0px rgba(185, 185, 185, 0.101),
    inset -2px -2px 5px 0px rgba(255, 255, 255, 0.101);
    cursor: pointer;
}

.time .time-right p:nth-child(1){
    font-size: 16px;
}

.time .time-right p:nth-child(2){
    font-size: 12px;
}

.time .time-right .battery{
    width: 150px;
    height: 170px;
    margin-top: 15px;
}

.time .time-right .battery img {
    width: 100%;
    height: 100%;
    filter: drop-shadow(3px 3px 5px rgba(88, 88, 88, 0.4));
}


/* Middle css */

.middle{
    margin-top: 35px;
    width: 100%;
    height: auto;
    display: flex;
}

.middle .left img{
    width: 180px;
    padding: 0 1vw;
}

.middle .right{
    width: 150px;
    height: 140px;
}

.middle .right .right-top, .middle .right .right-down{
    height: 50%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    gap: 10px;
}

.middle .right .right-top div, .middle .right .right-down div{
    padding: .7rem .8rem;
    border-radius: 20px;
    box-shadow: 3px 3px 5px 1px rgba(77, 77, 77, 0.4),
                -3px -3px 5px 1px rgba(255, 255, 255, 0.8),
                inset 2px 2px 5px 0px rgba(185, 185, 185, 0.101),
                inset -2px -2px 5px 0px rgba(255, 255, 255, 0.101);
}

.middle .right .right-top div:hover, .middle .right .right-down div:hover{
    box-shadow: 3px 3px 5px 0px rgba(187, 0, 255, 0.4),
                -3px -3px 5px 0px rgba(255, 255, 255, 0.8),
                inset 2px 2px 5px 0px rgba(185, 185, 185, 0.101),
                inset -2px -2px 5px 0px rgba(255, 255, 255, 0.101);
    cursor: pointer;
}

.middle .right .right-top div>i, .middle .right .right-down div>i{
    font-size: 2.2rem;
    color: #434343;
}

/* Bottom CSS */

.bottom{
    width: 100%;
    height: 25vh;
    padding: 0vh 1.5vw;
    margin-top: -15px;
    display: flex;
    justify-content: space-between;
}

.bottom .left{
    width: 45%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
}

.bottom .left .left-top{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    height: 35%;
    margin-bottom: 10px;
    border-radius: 20px;
    box-shadow: 3px 3px 5px 1px rgba(77, 77, 77, 0.4),
    -3px -3px 5px 1px rgba(255, 255, 255, 0.8),
    inset 2px 2px 5px 0px rgba(185, 185, 185, 0.101),
    inset -2px -2px 5px 0px rgba(255, 255, 255, 0.101);
}

.bottom .left .left-top:hover{
    box-shadow: 3px 3px 5px 0px rgba(187, 0, 255, 0.4),
    -3px -3px 5px 0px rgba(255, 255, 255, 0.8),
    inset 2px 2px 5px 0px rgba(185, 185, 185, 0.101),
    inset -2px -2px 5px 0px rgba(255, 255, 255, 0.101);
    cursor: pointer;
}

.bottom .left .left-top p{
    font-size: 16px;
}

.bottom .left .left-top .date span{
    padding: 1px 6px;
    border-radius: 4px;
    font-weight: bold;
    color: #7AE9FF;
    background-color: #000000;
}

.bottom .left .left-top .date .day{
    border: none;
    font-size: 12px;
    background-color: transparent;
    color: #000;
}

.bottom .left .left-top p span{
    font-size: 11px;
}

.bottom .left .left-down{
    width: 100%;
    height: 35%;
    font-weight: bold;
    font-size: 10px;
    color: #7AE9FF;
    border-radius: 20px;
    background-color: #000;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 3px 3px 3px rgba(77, 77, 77, 0.4),
                -3px -3px 3px rgba(255, 255, 255, 0.8);
}

.bottom .left .left-down .heart{
    font-size: 18px;
}

/* bottom right */

.bottom .right{
    display: flex;
    width: 45%;
    justify-content: space-between;
    align-items: center;

}

.bottom .right .rightL{
    width: 45%;
    height: 78%;
    border: 4px solid #d6d6d65f;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-radius: 15px;
    box-shadow: 3px 3px 5px 1px rgba(77, 77, 77, 0.4),
    -3px -3px 5px 1px rgba(255, 255, 255, 0.259),
    inset 2px 2px 5px 0px rgba(1, 101, 156, 0.281),
    inset -2px -2px 5px 0px rgba(255, 255, 255, 0.101);
}

.bottom .right .rightL .rightL-inner-top{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    height: 70%;
    align-items: center;
    padding: 1vh;
    font-size: 12px;
}

.bottom .right .rightL .rightL-inner-top .rocket,
.bottom .right .rightR .rightR-inner-top .charging {
    font-size: 22px;
    transform: translateY(20px);
}

.bottom .right .rightL .rightL-inner-down{
    border-radius: 15px;
    padding: 2.5vh 0;
    z-index: -1;
    display: flex;
    justify-content: center;
    background-color: #75C9E3;
}

.bottom .right .rightL .rightL-inner-down span,
.bottom .right .rightR .rightR-inner-down span{
    font-size: 12px;
}

/* rightR CSS */

.bottom .right .rightR{
    width: 45%;
    height: 78%;
    border: 4px solid #efefefe2;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-radius: 15px;
    color: #75C9E3;
    background-color: #000;
    box-shadow: 3px 3px 5px 1px rgba(77, 77, 77, 0.4),
    -3px -3px 5px 1px rgba(255, 255, 255, 0.259),
    inset 2px 2px 5px 0px rgba(1, 101, 156, 0.281);
}

.bottom .right .rightR .rightR-inner-top{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    height: 70%;
    align-items: center;
    padding: 1vh;
    font-size: 12px;
}

.bottom .right .rightR .rightR-inner-down{
    border-radius: 15px;
    padding: 2.5vh 0;
    display: flex;
    justify-content: center;  
}

/* footer CSS */

footer{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    width: 80%;
    height: 5vh;
    padding: 1vh 2vw;
    border-radius: 20px;
    box-shadow: 3px 3px 5px 1px rgba(77, 77, 77, 0.4),
                -3px -3px 5px 1px rgba(255, 255, 255, 0.8),
                inset 2px 2px 5px 0px rgba(185, 185, 185, 0.101),
                inset -2px -2px 5px 0px rgba(255, 255, 255, 0.101);
}

footer p{
    text-align: center;
    font-size: 12px;
    
}

footer p a{
    color: blue;
}


@media (max-width:480px) {
    body{
        justify-content: center;
    }
    .wrapper{
        width: 100%;
        height: 100%;
        transform: translateX(0);
    }
    .time .time-right-in{
        padding: 1vh 5vw;
        border-radius: 20px;
    }
    .wrapper .time .time-left p{
        font-weight: 0;
        font-size: 12px;
    }
    .middle .left img{
        width: 165px;
        padding: 0 2vw;
    }

    .middle .right{
        margin-left: 10px;
        margin-top: 5px;
    }
    .middle .right .right-top, .middle .right .right-down{
        gap: 10px;
    }
    .middle .right .right-top div, .middle .right .right-down div{
        padding: .7rem .8rem;
        border-radius: 20px;
    }

    .bottom{
        padding: 0vh 3vw;
    }
    .bottom .left{
        width: 45%;
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        gap: 10px;
    }

    footer{
        width: 100%;
        margin-top: 20px;
    }
}